(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
    typeof define === 'function' && define.amd ? define('@nonoll/code-snippet/browser', ['exports'], factory) :
    (global = global || self, factory((global.nonoll = global.nonoll || {}, global.nonoll['code-snippet'] = global.nonoll['code-snippet'] || {}, global.nonoll['code-snippet'].browser = {})));
}(this, (function (exports) { 'use strict';

    /**
     * browser - AOS 유무 반환
     * @memberof module:browser
     * @function
     * @return {Boolean}
     * @example
    import { isAOS } from '@nonoll/code-snippet/browser';
    console.log(isAOS()); // true or false
     */
    var isAOS = function () {
        return /Android/.test(window.navigator.userAgent);
    };

    /**
     * browser - vendorPrefix 반환
     * @memberof module:browser
     * @see https://davidwalsh.name/vendor-prefix
     * @function
     * @return {IVendorPrefix}
     * @example
    import { vendorPrefix } from '@nonoll/code-snippet/browser';
    console.log(vendorPrefix()); // {dom: "Webkit", lowercase: "webkit", css: "-webkit-", js: "Webkit"}
     */
    var vendorPrefix = function () {
        var styles = window.getComputedStyle(window.document.documentElement, '');
        var pre = (Array.from(styles).join('').match(/-(moz|webkit|ms)-/) || (styles.OLink === '' && ['', 'o']))[1];
        var dom = ('Webkit|Moz|MS|O').match(new RegExp("(" + pre + ")", 'i'))[1];
        return {
            dom: dom,
            lowercase: pre,
            css: "-" + pre + "-",
            js: pre[0].toUpperCase() + pre.substr(1)
        };
    };

    exports.isAOS = isAOS;
    exports.vendorPrefix = vendorPrefix;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=nonoll-code-snippet-browser.umd.js.map
